Loading...
Searching...
No Matches
CLI::HorribleError Class Reference
Errors

`#include <Error.hpp>`

Inheritance diagram for CLI::HorribleError:

## Additional Inherited Members

Public Member Functions inherited from CLI::Error
CLI11_NODISCARD int | get_exit_code () const
CLI11_NODISCARD std::string | get_name () const
| Error (std::string name, std::string msg, int exit_code=static_cast< int >(ExitCodes::BaseClass))
| Error (std::string name, std::string msg, ExitCodes exit_code)

## Detailed Description

This is just a safety check to verify selection and parsing match - you should not ever see it Strings are directly added to this error, but again, it should never be seen.

The documentation for this class was generated from the following file:

- include/CLI/Error.hpp